Bug 61449 - PHP mcal support not enabled
PHP mcal support not enabled
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-19 16:15 EST by Brent Nordquist
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-19 17:10:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brent Nordquist 2002-03-19 16:15:25 EST
Description of Problem:
The SPEC file has:
...
        --enable-mcal \
...
and the %changelog alludes to this being added on Feb 8, 2002.  However, (1)
beta2 does not have an mcal package that I can find, so (2) if you examine the
output from the RPM build, you'll find:
...
checking for MCAL support... no
...
meaning that it's not really being enabled.  It won't be unless there's an mcal
library on the system somewhere.  I think either the --enable-mcal should be
removed from the SPEC, or mcal should be packaged for Red Hat Linux so it works.

Version-Release number of selected component (if applicable):
4.1.1-5

Additional notes:
I have an mcal RPM and patches for the php RPM SPEC file which allow it to work,
if you're interested.
Comment 1 Phil Copeland 2002-03-19 17:09:58 EST
Humm,.. I thought mcal was in the dist, I'll have to go badger some people to
find out whats going on

Phil
=--=
Comment 2 Phil Copeland 2002-03-28 03:47:19 EST
Umm yes..  welcome to 7.3 
7.3 is 7.2 based. the php thats in 7.3 is based on the next release and is
backported from there where mcal does exist..

It doesn't hurt as the configure correctly goes 'bugger me, no mcal here, better
not build support for that'

Phil
=--=

Note You need to log in before you can comment on or make changes to this bug.